Get inventory log for a WFS item

Returns inventory activity logs for seller items stored in Walmart Fulfillment Services (WFS) fulfillment centers.

For the US market, if startDate is not specified, the response includes inventory activity from the last 90 days. For the US market, you can retrieve up to 365 days of inventory activity with this API. To retrieve US records older than 365 days, use the Create report request API and specify WFS_INVENTORY_LOG as the reportType.

Market availability: Global

Query Params
string
required

GTIN.

Market availability: Global

string

Shipment Id.

Market availability: Global

string

Type of transaction associated with the shipment.
CA, MX: Receipt, Adjustment, Ship, Return

Market availability: Global

string

Specifies the transaction location.
CA, MX: Salvage, Inventory

Market availability: Global

string

Inventory log transaction time starting range (Date in YYYY-MM-DD format).

Market availability: Global

string

Inventory log transaction time ending range (Date in YYYY-MM-DD format).

Market availability: Global

string

Sort By Attribute (Supported Attributes: gtin, changedUnits, transactionReasonCode, transactionType, shipmentId).

Market availability: Global

string

Sort Order (ASC or DESC).

Market availability: Global

string
Defaults to 0

Offset is the number of records you wish to skip before selecting records.

Market availability: Global

string
Defaults to 50

limit is the number of records to be returned.

Market availability: Global

Headers
string
required

Access token obtained from the Token API. This is required for authenticating requests to Walmart Marketplace APIs.

Market availability: Global

string

A unique ID to identify the consumer request by channel. Use the Consumer Channel Type received during onboarding.

Market availability: Global

string
required

A unique ID that identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.

Market availability: Global

string
required

Specifies the name of the Walmart service being called.

Market availability: Global

string
enum
required

Indicates the global version of the API. The value must be set to 3.1.

Market availability: Global

Allowed:
string
enum
required

Identifies the Walmart Marketplace region for the request. If not specified, US is used by default.

Market availability: Global

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json